Class BuilderTool

Declaration :

- C++ : class BuilderTool : public Tool, public Applicable<>
- Java : public interface BuilderTool

Directly inherited by : NodeCreatorTool SegmentationTool

Used according to the visitor pattern: each Tool contains the concrete implementation for one task to be done to the various MObject classes

Artifact : buildertool

Operation treat

Declaration :

- Uml : abstract, + treat(in mElement : Buildable) : void
- C++ : public: virtual void treat (const Buildable& mElement) = 0

This operation is to be overloaded for the specific MObject subclasses to be treated.

All public operations : treat , treat